Get list of bookings
curl --request GET \
--url https://b.anny.co/api/v1/bookings \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "bookings",
"id": "3581903",
"attributes": {
"number": "BB81592797",
"status": "accepted",
"is_blocker": false,
"start_date": "2021-09-29T10:15:00+00:00",
"end_date": "2021-09-29T13:15:00+00:00",
"blocker_start_date": "2021-09-29T10:00:00+00:00",
"blocker_end_date": "2021-09-29T13:30:00+00:00",
"description": "Florian Schmitt - Coaching: Effective Communication & Collaboration",
"charged_duration": 180,
"weight": 1,
"currency": "EUR",
"total": 249,
"is_net_total": false,
"code": "jqIxG0vb5k2asxHA",
"subtotal": 199,
"charged_total": 249,
"charged_subtotal": 199,
"starting_fee": 0,
"customer_note": null,
"created_at": "2021-09-22T10:06:11+00:00",
"canceled_at": null,
"check_in_date": null,
"check_out_date": null,
"custom_entry_map": {}
},
"links": {
"self": "https://b.anny.co/api/v1/bookings/3581903"
},
"meta": []
}
]
}Booking Management
Get list of bookings
Auth: customer. Get a list of all bookings for the authenticated customer account which apply to the given filter.
GET
/
api
/
v1
/
bookings
Get list of bookings
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Verfügbare Optionen:
resource.parent.cover_image, resource.cover_image, service, order, booking_add_ons.add_on, sub_bookings.resource.parent, sub_bookings.service, cancellation_policy Filter resource ids
Any search query
Filter only upcoming bookings
Filter start date
Filter end date
Filter booking status
Filter bookings for customer email
Antwort
OK
Show child attributes
Show child attributes